petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexGetFaceFields

Retrieve the field values values for a chunk of faces

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMPlexGetFaceFields(DM dm, PetscInt fStart, PetscInt fEnd, Vec locX, Vec locX_t, Vec faceGeometry, Vec cellGeometry, Vec locGrad, PetscScalar **uL, PetscScalar **uR)

### Input Parameters

| dm | - The DM
| fStart | - The first face to include
| fEnd | - The first face to exclude
| locX | - A local vector with the solution fields
| locX_t | - A local vector with solution field time derivatives, or NULL
| faceGeometry | - A local vector with face geometry
| cellGeometry | - A local vector with cell geometry
| locaGrad | - A local vector with field gradients, or NULL

### Output Parameters

| uL | - The field values at the left side of the face
| uR | - The field values at the right side of the face

### See Also

DMPlexGetCellFields()

Level:developer
Location:src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages